Bug 835145 - (CVE-2012-3354) CVE-2012-3354 dokuwiki: Full path disclosure with PHP error level enabled
CVE-2012-3354 dokuwiki: Full path disclosure with PHP error level enabled
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120624,reported=2...
: Security
Depends On: 835149 835150
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-25 12:48 EDT by Jan Lieskovsky
Modified: 2015-07-31 02:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-12 10:25:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-06-25 12:48:09 EDT
A full path disclosure flaw was found in the way DokuWiki, a standards compliant, simple to use Wiki, performed sanitization of HTTP POST 'prefix' input value prior passing it to underlying PHP substr() routine, when the PHP error level has been enabled on the particular server. A remote attacker could use this flaw to obtain full path location of particular requested DokuWiki page by issuing a specially-crafted HTTP POST request.

References:
[1] http://www.openwall.com/lists/oss-security/2012/06/24/2
[2] http://www.openwall.com/lists/oss-security/2012/06/25/2
Comment 1 Jan Lieskovsky 2012-06-25 12:53:30 EDT
This issue affects the versions of the dokuwiki package, as shipped with Fedora release of 16 and 17. Please schedule an update (once final upstream patch available).

--

This issue affects the versions of the dokuwiki package, as shipped with Fedora EPEL 5 and 6. Please schedule an update (once final upstream patch available).
Comment 2 Jan Lieskovsky 2012-06-25 12:54:25 EDT
Created dokuwiki tracking bugs for this issue

Affects: fedora-all [bug 835149]
Affects: epel-all [bug 835150]

Note You need to log in before you can comment on or make changes to this bug.